# TSSetRHSBoundaryConditions

Sets the routine for evaluating the function, boundary conditions for the function F.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetRHSBoundaryConditions(TS ts,PetscErrorCode (*f)(TS,PetscReal,Vec,void*),void *ctx)

Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| f | - routine for evaluating the boundary condition function
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be PETSC_NULL)

### Calling sequence of func

        func (TS ts,PetscReal t,Vec F,void *ctx);

| t | - current timestep
| F | - function vector
| ctx | - [optional] user-defined function context

### Keywords

TS, timestep, set, boundary conditions, function

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex6.c.html